# ApplicationFramework
TKLCAF
TDF

# TDF_ListIteratorOfLabelList Class Reference

`#include <TDF_ListIteratorOfLabelList.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TDF_ListIteratorOfLabelList ()
Standard_EXPORT | TDF_ListIteratorOfLabelList (const TDF_LabelList &L)
Standard_EXPORT void | Initialize (const TDF_LabelList &L)
Standard_Boolean | More () const
Standard_EXPORT void | Next ()
Standard_EXPORT TDF_Label & | Value () const

## Private Attributes

Standard_Address | current
Standard_Address | previous

## Constructor & Destructor Documentation

Standard_EXPORT TDF_ListIteratorOfLabelList::TDF_ListIteratorOfLabelList | ( |  | ) |

Standard_EXPORT TDF_ListIteratorOfLabelList::TDF_ListIteratorOfLabelList | ( | const TDF_LabelList & | L | ) |

## Member Function Documentation

Standard_EXPORT void TDF_ListIteratorOfLabelList::Initialize | ( | const TDF_LabelList & | L | ) |

Standard_Boolean TDF_ListIteratorOfLabelList::More | ( |  | ) | const

Standard_EXPORT void TDF_ListIteratorOfLabelList::Next | ( |  | ) |

void TDF_ListIteratorOfLabelList::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TDF_ListIteratorOfLabelList::operator new | ( | size_t | size | ) | `[inline]`

void* TDF_ListIteratorOfLabelList::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT TDF_Label& TDF_ListIteratorOfLabelList::Value | ( |  | ) | const

## Field Documentation

Standard_Address TDF_ListIteratorOfLabelList::current `[private]`

Standard_Address TDF_ListIteratorOfLabelList::previous `[private]`

The documentation for this class was generated from the following file:

- TDF_ListIteratorOfLabelList.hxx